cURL
curl --request POST \
--url https://api.mottostreaming.com/iam/accounts/v1/invite \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accounts": [
{
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
],
"resource_key": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/iam/accounts/v1/invite"
payload = {
"accounts": [
{
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
],
"resource_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accounts: [{email: '<string>', first_name: '<string>', last_name: '<string>'}],
resource_key: '<string>'
})
};
fetch('https://api.mottostreaming.com/iam/accounts/v1/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accounts": [
{
"email": "<string>",
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"verified": true
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Accounts
Invite accounts
BatchInviteAccounts
Invites one or more new or existing accounts to the Motto platform for a particular resource. Important: this does not grant the provided accounts any permissions to that resource; please use iam.auth.v1.SetIamPolicy for that.
POST
/
iam
/
accounts
/
v1
/
invite
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
OK
Show child attributes
Show child attributes
⌘I

